# Mengisi_ruang_kosong

## Tujuan Program
1. Edukasi Interaktif: Membantu pengguna (misalnya siswa) belajar melalui latihan soal isian, dengan cara yang menyenangkan dan interaktif.
2. Latihan Pemahaman Konsep: Menguji seberapa baik pengguna memahami topik tertentu (contoh: sains, geografi, umum).
3. Meningkatkan Daya Ingat: Mengasah memori pengguna dengan cara mengingat jawaban yang tepat untuk pertanyaan isian.
4. Evaluasi Diri: Memberikan skor sebagai feedback langsung, sehingga pengguna bisa mengevaluasi pemahamannya terhadap materi.

## Cara Menjalankan
   - Coding kode ke file Python (misalnya isi_kosong.py).
   - Jalankan dengan terminal atau IDLE:
python isi_kosong.py
## Langkah-langkah Program
1. Mendefinisikan Soal
   - Program menyimpan daftar soal dalam bentuk list of dictionary.
   - Setiap soal memiliki kalimat dan jawaban yang benar.
     soal = [
         {"kalimat": "Bumi mengelilingi ___ setiap satu tahun sekali.", "jawaban": "matahari"},
         ...
     ]
2. Inisialisasi Skor
   - Program memulai skor pengguna dari 0.
     skor = 0
3. Menampilkan Judul dan Instruksi
   - Program menampilkan pesan pembuka dan penjelasan permainan ke layar.
     print("=== Permainan Mengisi Ruang Kosong ===")
4. Perulangan Setiap Soal
   - Program menampilkan satu per satu soal kepada pengguna.
   - Program menerima input jawaban dari pengguna.
   - Jawaban dikonversi menjadi huruf kecil dan dihapus spasi di kiri-kanan (strip().lower()).
     for i, item in enumerate(soal, 1):
         print(f"Soal {i}: {item['kalimat']}")
         jawaban = input("Jawaban kamu: ").strip().lower()
5. Pengecekan Jawaban
   - Program membandingkan jawaban pengguna dengan jawaban yang benar.
   - Jika benar, skor bertambah dan tampilkan pesan ✅.
   - Jika salah, tampilkan jawaban yang benar ❌.
     if jawaban == item['jawaban']:
    skor += 1
6. Menampilkan Skor Akhir
   - Setelah semua soal dijawab, program menampilkan total skor pengguna.
     print(f"Permainan selesai. Skor kamu: {skor} dari {len(soal)}")
7. Menjalankan Fungsi main()
   - Program memastikan semua langkah dijalankan ketika file dibuka/dijalankan.
     if __name__ == "__main__":
         main()
